<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Update_GeoFence StructType
 * @subpackage Structs
 */
class Update_GeoFence extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The GeoFenceUpdate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GeoFenceUpdate
     */
    public $GeoFenceUpdate;
    /**
     * Constructor method for Update_GeoFence
     * @uses Update_GeoFence::setLogin()
     * @uses Update_GeoFence::setGeoFenceUpdate()
     * @param \StructType\Login $login
     * @param \StructType\GeoFenceUpdate $geoFenceUpdate
     */
    public function __construct(\StructType\Login $login = null, \StructType\GeoFenceUpdate $geoFenceUpdate = null)
    {
        $this
            ->setLogin($login)
            ->setGeoFenceUpdate($geoFenceUpdate);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Update_GeoFence
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get GeoFenceUpdate value
     * @return \StructType\GeoFenceUpdate|null
     */
    public function getGeoFenceUpdate()
    {
        return $this->GeoFenceUpdate;
    }
    /**
     * Set GeoFenceUpdate value
     * @param \StructType\GeoFenceUpdate $geoFenceUpdate
     * @return \StructType\Update_GeoFence
     */
    public function setGeoFenceUpdate(\StructType\GeoFenceUpdate $geoFenceUpdate = null)
    {
        $this->GeoFenceUpdate = $geoFenceUpdate;
        return $this;
    }
}
